Build Dependencies in Android

by Shanu   Last Updated July 12, 2019 05:01 AM

How/Where do I find out what implementation statements to use in build.gradle.

E.g. Some Classes/Interfaces/etc. would not resolve unless I use the required implementation/compile statement. for e.g. FusedLocationProviderClient requires implementation 'com.google.android.gms:play-services-location:17.0.0'

P.S. : I was working on a Maps application, where I needed to use GeoDataClient interface. The symbol won't resolve, until I added a required dependency, only to find out that GeoDataClient is deprecated! Even Google's tutorial demo apps had the deprecated methods. Not to mention, there online documentation wasn't updated to reflect that.



Related Questions


Updated May 31, 2019 07:01 AM

Updated May 09, 2019 08:01 AM

Updated April 19, 2019 07:01 AM

Updated July 28, 2017 16:01 PM

Updated June 26, 2019 09:01 AM